Bug 532308 - KMS:RS480:X200M Bad 3D performance/Hangs
KMS:RS480:X200M Bad 3D performance/Hangs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jerome Glisse
Fedora Extras Quality Assurance
card_IGP300/miI
: Triaged, Upstream
: 533613 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-01 08:24 EST by Yingbo Qiu
Modified: 2010-12-03 22:34 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:34:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output (52.13 KB, text/plain)
2009-11-04 07:48 EST, Yingbo Qiu
no flags Details
Xorg.0.log (40.21 KB, text/plain)
2009-11-04 07:51 EST, Yingbo Qiu
no flags Details
glxinfo output (15.56 KB, text/plain)
2009-11-04 07:52 EST, Yingbo Qiu
no flags Details
dmesg of 2.6.31.5-122 nomodeset (33.60 KB, text/plain)
2009-11-09 08:20 EST, Yingbo Qiu
no flags Details
dmesg-kms.2.6.31.5-122 (34.82 KB, text/plain)
2009-11-09 08:32 EST, Yingbo Qiu
no flags Details
2.6.31.6-134 kms , /var/log/message (20.20 KB, text/plain)
2009-11-17 19:44 EST, Yingbo Qiu
no flags Details
startx dmesg of 2.6.31.6-134 kms, drm.debug=1 (83.29 KB, application/x-troff-man)
2009-11-17 19:49 EST, Yingbo Qiu
no flags Details
boot dmesg of 2.6.31.6-134 kms, drm.debug=1 (37.15 KB, text/plain)
2009-11-17 19:54 EST, Yingbo Qiu
no flags Details

  None (edit)
Description Yingbo Qiu 2009-11-01 08:24:20 EST
Description of problem:
My Xpress 200m run glxgears with 6FPS now under KMS enabled! Without modesetting, It grows to 20+ FPS. But I could get 300+ FPS in 12Beta with KMS and about 700 FPS
 in 12Beta without KMS!

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.i686
xorg-x11-server-common-1.7.0-1.fc12.i686
mesa-dri-drivers-7.6-0.13.fc12.i686

How reproducible:


Steps to Reproduce:
1. run glxgears
2.
3.
  
Actual results:
45 frames in 6.1 seconds =  7.409 FPS
40 frames in 6.1 seconds =  6.543 FPS
40 frames in 6.1 seconds =  6.594 FPS
38 frames in 6.1 seconds =  6.232 FPS
31 frames in 6.0 seconds =  5.138 FPS


Expected results:
300+ FPS
Comment 1 Dave Airlie 2009-11-03 22:52:41 EST
what kernel are you running can you attach dmesg and /var/log/Xorg.0.log and glxinfo??
Comment 2 Yingbo Qiu 2009-11-04 07:48:50 EST
Created attachment 367463 [details]
dmesg output
Comment 3 Yingbo Qiu 2009-11-04 07:51:08 EST
Created attachment 367465 [details]
Xorg.0.log
Comment 4 Yingbo Qiu 2009-11-04 07:52:19 EST
Created attachment 367466 [details]
glxinfo output
Comment 5 Matěj Cepl 2009-11-05 12:20:13 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Yingbo Qiu 2009-11-06 20:59:34 EST
It's worse on up-to-date system. With KMS, running glxgears cause the system freeze. With Non-KMS , it remains bad performance.

[qyb@qyb log]$ glxgears 
785 frames in 5.0 seconds = 156.524 FPS
238 frames in 5.0 seconds = 47.543 FPS
214 frames in 5.0 seconds = 42.655 FPS
203 frames in 5.0 seconds = 40.422 FPS
219 frames in 5.0 seconds = 43.461 FPS
319 frames in 5.0 seconds = 63.723 FPS

My X stack:
xorg-x11-server-Xorg-1.7.1-7.fc12.i686
kernel-2.6.31.5-122.fc12.i686
xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.i686
libdrm-2.4.15-4.fc12.i686
mesa-dri-drivers-7.6-0.13.fc12.i686
Comment 7 Jerome Glisse 2009-11-09 05:01:37 EST
Please attach dmesg of kernel-2.6.31.5-122.fc12.i686
Comment 8 Yingbo Qiu 2009-11-09 08:20:49 EST
Created attachment 368201 [details]
dmesg of 2.6.31.5-122 nomodeset
Comment 9 Yingbo Qiu 2009-11-09 08:32:38 EST
Created attachment 368202 [details]
dmesg-kms.2.6.31.5-122
Comment 10 Yingbo Qiu 2009-11-10 09:16:23 EST
When the screen blank, /var/log/message print drm error:

Nov 10 21:44:35 localhost kernel: [drm:radeon_fence_wait] *ERROR* fence(f3d3baa0:0x0000020E) 510ms timeout going to reset GPU
Nov 10 21:44:35 localhost kernel: [drm] CP reset succeed (RBBM_STATUS=0x00000140)
Nov 10 21:44:35 localhost kernel: [drm] radeon: cp idle (0x10000000)
Nov 10 21:44:35 localhost kernel: [drm] radeon: ring at 0x0000000050000000
Nov 10 21:44:35 localhost kernel: [drm:r100_ring_test] *ERROR* radeon: ring test failed (sracth(0x15E4)=0xCAFEDEAD)
Nov 10 21:44:35 localhost kernel: [drm:r100_cp_init] *ERROR* radeon: cp isn't working (-22).
Nov 10 21:44:35 localhost kernel: [drm:r300_gpu_reset] *ERROR* Failed to reset GPU (RBBM_STATUS=0x80010140)
Nov 10 21:44:35 localhost kernel: [drm:radeon_fence_wait] *ERROR* fence(f3d3baa0:0x0000020E) 672ms timeout
Nov 10 21:44:35 localhost kernel: [drm:radeon_fence_wait] *ERROR* last signaled fence(0x0000020E)
Nov 10 21:44:35 localhost kernel: [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(12).
Nov 10 21:44:35 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 10 21:44:35 localhost kernel: [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(12).
Nov 10 21:44:35 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 10 21:44:35 localhost kernel: [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(12).
Nov 10 21:44:35 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 10 21:44:35 localhost kernel: [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(12).
Nov 10 21:44:35 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 10 21:44:35 localhost kernel: [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(12).
Nov 10 21:44:35 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 10 21:44:35 localhost kernel: [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(12).
Nov 10 21:44:35 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 10 21:44:39 localhost kernel: [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(12).
Nov 10 21:44:39 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 10 21:44:42 localhost kernel: [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(12).
Nov 10 21:44:42 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 10 21:44:42 localhost kernel: [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(12).
Nov 10 21:44:42 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 10 21:44:42 localhost kernel: [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(12).
Nov 10 21:44:42 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 10 21:44:43 localhost kernel: [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(12).
Nov 10 21:44:43 localhost kernel: [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Comment 11 Yingbo Qiu 2009-11-10 10:12:34 EST
I have found that this regression occur in kernel upgrading from 2.6.31.5-91.rc1 to 2.6.31.5-96.

I installed almost all recent kernel packages in koji. 2.6.31.5-91.rc1 is the lastest stable X200M/KMS kernel. 2.6.31.5-96 is the first buggy kernel.
Comment 12 Bug Zapper 2009-11-16 09:49:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Jerome Glisse 2009-11-17 13:05:36 EST
Please try if lastest kernel -134 helps :
http://koji.fedoraproject.org/koji/buildinfo?buildID=141560
Comment 14 Yingbo Qiu 2009-11-17 19:44:24 EST
Created attachment 369993 [details]
2.6.31.6-134 kms , /var/log/message

2.6.31.6-134 kms also crush. Please see my /var/log/message output
Comment 15 Yingbo Qiu 2009-11-17 19:49:25 EST
Created attachment 369995 [details]
startx dmesg of 2.6.31.6-134 kms, drm.debug=1

when I startx after init 3, I got this dmesg log from another ssh console.
Comment 16 Yingbo Qiu 2009-11-17 19:54:49 EST
Created attachment 369996 [details]
boot dmesg of 2.6.31.6-134 kms, drm.debug=1

2.6.31.6-134's nomodeset has better perfermance than 2.6.31.5-96/122/127, but still worse than 91.rc1....  190FPS vs 700FPS
Comment 17 Matěj Cepl 2009-12-02 12:56:42 EST
*** Bug 533613 has been marked as a duplicate of this bug. ***
Comment 18 Yingbo Qiu 2010-03-20 23:19:40 EDT
Recently I build serial kernel packages from 2.6.31.5-91.rc1 to 2.6.31.5-97, I checked out cvs by 91/94/95/96/97, and try to figure out which changeset cause my ATI KMS problem. I found that patch in 94/95/96 just cause speed to slow, rev97 is the real regression.

%changelog
* Mon Oct 26 2009 Dave Airlie <airlied@redhat.com> 2.6.31.5-97
- drm: rebase to drm-next, drop palette fix, merged upstream
- drm-intel-big-hammer.patch: drop, proper fix in 2.6.31.5
- drm-disable-r600-aspm.patch: test patch to disable aspm on r600/r700 for now
Comment 19 Yingbo Qiu 2010-03-25 08:59:10 EDT
under rawhide/f13, kernel 2.6.33.1-19. but 2.6.31.5-91 still work!

[drm:radeon_fence_wait] *ERROR* fence(ed9aa910:0x00000450) 510ms timeout going to reset GPU
[drm] GA reset succeed (RBBM_STATUS=0x00000140)
[drm] radeon: cp idle (0x10000000)
[drm] radeon: ring at 0x0000000050000000
[drm] ring test succeeded in 0 usecs
[drm] GPU reset succeed (RBBM_STATUS=0x00000140)
[drm:radeon_fence_wait] *ERROR* fence(ed9aa910:0x00000450) 524ms timeout
[drm:radeon_fence_wait] *ERROR* last signaled fence(0x00000450)
[drm:radeon_fence_wait] *ERROR* fence(ed9aa0a0:0x00000451) 524ms timeout going to reset GPU
[drm] GPU reset succeed (RBBM_STATUS=0x00000140)
[drm:radeon_fence_wait] *ERROR* fence(ed9aa0a0:0x00000451) 534ms timeout
[drm:radeon_fence_wait] *ERROR* last signaled fence(0x00000451)
[drm:radeon_fence_wait] *ERROR* fence(ed89d870:0x00000461) 505ms timeout going to reset GPU
[drm] GPU reset succeed (RBBM_STATUS=0x00000140)
[drm:radeon_fence_wait] *ERROR* fence(ed89d870:0x00000461) 515ms timeout
[drm:radeon_fence_wait] *ERROR* last signaled fence(0x00000461)
[drm:radeon_fence_wait] *ERROR* fence(ed913280:0x00000468) 509ms timeout going to reset GPU
[drm] GPU reset succeed (RBBM_STATUS=0x00000140)
[drm:radeon_fence_wait] *ERROR* fence(ed913280:0x00000468) 519ms timeout
[drm:radeon_fence_wait] *ERROR* last signaled fence(0x00000468)
[drm:radeon_fence_wait] *ERROR* fence(ed913500:0x00000469) 508ms timeout going to reset GPU
[drm] GPU reset succeed (RBBM_STATUS=0x00000140)
[drm:radeon_fence_wait] *ERROR* fence(ed913500:0x00000469) 518ms timeout
[drm:radeon_fence_wait] *ERROR* last signaled fence(0x00000469)
[drm:radeon_fence_wait] *ERROR* fence(ed9130f0:0x0000046A) 503ms timeout going to reset GPU
[drm] GPU reset succeed (RBBM_STATUS=0x00000140)
[drm:radeon_fence_wait] *ERROR* fence(ed9130f0:0x0000046A) 513ms timeout
[drm:radeon_fence_wait] *ERROR* last signaled fence(0x0000046A)
[drm:radeon_fence_wait] *ERROR* fence(ef8c47d0:0x0000046B) 505ms timeout going to reset GPU
Comment 20 Yingbo Qiu 2010-04-09 11:06:04 EDT
kernel-2.6.33.2-39.fc13.i686 still has the bug. 

But, kernel-2.6.34-0.28.rc3.git3.fc14.i686 is stable, glxgears run smoothly with expected FPS. 

Then I test kernel-2.6.34-0.19.rc2.git4.fc14 and found it is buggy.
Comment 21 Yingbo Qiu 2010-04-14 10:53:46 EDT
I try add 'pci=nomsi' in boot parameter is ok!

https://bugzilla.kernel.org/show_bug.cgi?id=15626
Comment 22 colin 2010-04-15 19:15:25 EDT
Hi Yingbo. I am not an official bugtracker or anything but I noticed that
the error reports you have in Comment19 look very similar to the ones I was seeing in bug #557447 

I have been having radeon problems too and today there is a kernel that worked for me. :-)

You can download a Live CD with a very recent build here:
http://fedoraproject.org/wiki/Test_Day:2010-04-14_Radeon#Live_image

which has the 2.6.33.2-46.fc13.i686  kernel
The use of the parameter radeon.modeset=0 makes it work for me.

Koji builds here: http://koji.fedoraproject.org/koji/packageinfo?packageID=8

Just another data point - may or may not be useful. :-)
Comment 23 Adam Williamson 2010-04-16 16:58:28 EDT
Discussed at the blocker meeting today: this isn't sufficiently severe to be a blocker (generally, issues with 3D aren't blockers). It would be nice to have this fixed, though. jerome, dave, looks like we just need to pull the referenced kernel patch into the f13 kernel.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 24 Leonard Evens 2010-07-17 08:12:05 EDT
I have a similar problem.

My screen started freezing periodically. The mouse still moves the cursor, but nothing else responds. Restarting the X server doesn't work.

I must use Ctrl-Alt-F2 to go to an alternate terminal to reboot.

I don't remember having this problem with Fedora 11, but I recently moved to Fedora 12. I am using the kernel

2.6.32.14-127.fc12.i686.PAE

Looking at /var/log/messages, I find repeated instances of the eror message

[drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(4).

I do a 128 MB ATI Radeon X300 graphics card,, but it is over four years old, and I didn't have this problem with earlier versions of Fedora.

I hope this bug will be fixed soon, since it is annoying to have to reboot peridoically,  usually while I am in the midst of some time consuming task.
Comment 25 Bug Zapper 2010-11-04 02:54:46 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2010-12-03 22:34:02 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.